org.apache.pdfbox.preflight.annotation.pdfa

## Class PDFAbAnnotationFactory

- java.lang.Object
- - org.apache.pdfbox.preflight.annotation.AnnotationValidatorFactory
  - - org.apache.pdfbox.preflight.annotation.pdfa.PDFAbAnnotationFactory

    public class PDFAbAnnotationFactory
    extends AnnotationValidatorFactory

Factory to instantiate AnnotationValidator for a PDF/A-1b validation.

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidatorFactory

`actionFact, validatorClasses`

### Constructor Summary

Constructors
Constructor and Description
`PDFAbAnnotationFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `initializeClasses()` Initialize the map of Validation classes used to create a validation object according to the Annotation subtype.

### Methods inherited from class org.apache.pdfbox.preflight.annotation.AnnotationValidatorFactory

`getAnnotationValidator, setActionFact`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFAbAnnotationFactory

    public PDFAbAnnotationFactory()

### Method Detail

#### initializeClasses

    protected void initializeClasses()

Description copied from class: `AnnotationValidatorFactory`
Initialize the map of Validation classes used to create a validation object according to the Annotation subtype.

Specified by:
  `initializeClasses` in class `AnnotationValidatorFactory`